<script type="text/javascript" language="javascript" class="init">

var editor; // use a global for the submit and return data rendering in the examples
var editorPending; // use a global for the submit and return data rendering in the examples

$(document).ready(function() {
	editor = new $.fn.dataTable.Editor( {
		ajax: {
			url: 'vendor/datatables/Editor1.8.1/controllers/areapers.php',
			type: 'POST',
			data: function ( d ) {
 			d.usid = $('#xrm').val();
			}
		},
		table: '#examp',
		fields: [ {
				label: 'Numero di serie',
				name:  'example.serial',
				type:  'readonly'
			}, {
				label: 'Produttore',
				name:  'example.producer'
			}, {
				label: 'Nome',
				name:  'example.name'
			}, {
				label: 'Luogo di produzione',
				name:  'example.country',
				// type:  'select'
				fieldInfo: 'Stati Uniti d\'America, Giappone, Messico, etc...',
			}, {
				label: 'Anno di produzione',
				name:  'example.yearOfProduction'
			}, {
				label: 'Categoria',
				name:  'example.instcat_id',
				type:  'select'
			}, {
				label: 'Data di acquisto',
				name:  'example.purchaseDate',				
                type:  'datetime',
                def:    function () { return new Date(); },
                format: 'DD/MM/YYYY'
            }, {
				label: 'RegID',
				name:  'example.public_id',
				type:  'readonly'
			}
		]
	} );
	
	var editorPending = new $.fn.dataTable.Editor( {
		ajax: {
			url: 'vendor/datatables/Editor1.8.1/controllers/areapers.php',
			type: 'POST',
			data: function ( d ) {
 			d.usid = $('#xrm').val();
			}
		},
		table: '#examp',
		fields: [ {
				label: 'Numero di serie',
				name:  'example.serial',
				type:  'readonly'
			}, {
				label: 'Produttore',
				name:  'example.producer',
				type:  'readonly'
			}, {
				label: 'Modello',
				name:  'example.name',
				type:  'readonly'
			}, {
				label: 'Proveniente da',
				name:  'users.name',
				type:  'readonly'
			}, {
				label: '',
				name:  'users.surname',
				type:  'readonly'
			}, {
				label: 'Vuoi accettare?',
				name:  'example.pending',
				type:  'todo',
				// def: 1				
			}
		]
	} );

	editorPending.on( 'preSubmit', function ( e, data, action ) {
		if ( action === 'edit' ) {
			scelta = editorPending.field( 'example.pending' ).val();
			if ( scelta === '1' ) { 
				data.data.example.pending = 0;
				data.data.example.pendingTo = null;
			}
			else {
				alert (scelta); 
			}
		}
	} );
		
		
	var table = $('#examp').DataTable( {
		responsive: true,
		serverSide: true,
		fixedHeader: true,
		select: true,
		order: [[ 0, 'desc' ]],
		pagingType: 'full_numbers',
		dom: 'Bfrtip',
		ajax: {
			url: 'vendor/datatables/Editor1.8.1/controllers/areapers.php',
			type: 'POST',
			data: function ( d ) {
 			d.usid = $('#xrm').val();
			}
		},
		language: {
			url: 'vendor/datatables/Italian.json'
		},
		columns: [
			{ data: 'example.pending' },
			{ data: 'example.serial' },
			{
				data: null,
				orderable: false,
				searchable: false,
				className: 'center',
				defaultContent:'<a href="" class="scheda">Scheda</a>',
				render: function ( data, type, row ) {
					if (data.example.pending == '1') {
						return '<a href="" class="passaggio" style="font-weight:bold;">CLICK HERE</a>';
					}
                }				
			},     
			{ data: 'example.producer' },
			{ data: 'example.name' },
			{ data: 'countries.countryName_it', editField: 'example.country' },
			{ data: 'example.yearOfProduction' },
			{ data: 'instcat.category', editField: 'example.instcat_id'},
			{ data: 'example.purchaseDate' },
			{ data: 'example.public_id' },
			// { data: null, defaultContent:'<button class=\"scheda\" type=\"button\">Scheda</button>'}
		],
		rowCallback: function( row, data ) {
			if ( data.example.pending == '1' ) {
			// $(row).css('background-color', 'rgba(253,254,135,0.95)');
			$(row).addClass('pending');
			}
		},
		columnDefs: [ 
			{ targets: '_all', className: 'dt-center' },
			{ targets: 0, visible: false }
		],
		buttons: [
			{
                text: 'Nuovo',
                action: function ( e, dt, node, config ) {
					var form=$("<form class='opForm' enctype='multipart/form-data' method='post' action='crudClient.php'><input type='hidden' name='crud' value='add'><input type='submit' value='Aggiungi strumento'></form>");
					$('body').append(form);
					form.submit();
				}
			},
			{ 
				text: 'Modifica',
				action: function ( e, dt, node, config ) {
					var rows = table.rows( {selected: true} ).indexes();
					editor
                        // .hide( editor.fields() )
                        .one( 'close', function () {
                            setTimeout( function () { // Wait for animation
                                editor.show( editor.fields() );
                            }, 500 );
                        } )
						.edit( rows, {
							title: 'Modifica record',
							buttons: 'Salva'
						} )					
				}						
			},
			{ 
				text: 'Elimina',
				action: function ( e, dt, node, config ) {
					var rows = table.rows( {selected: true} ).indexes();
                    editor
                        .hide( editor.fields() )
                        .one( 'close', function () {
                            setTimeout( function () { // Wait for animation
                                editor.show( editor.fields() );
                            }, 500 );
                        } )
                        .remove( rows, {
                            title: 'Elimina',
                            message: rows.length === 1 ?
                                'Vuoi davvero eliminare questa riga?' :
                                'Vuoi davvero eliminare queste '+rows.length+' righe?',
                            buttons: 'Conferma'
                        } )
				}
			},		
			{ 
				extend: 'colvis',
				text: 'Visualizza colonne',
				columns: ':gt(0)',
				editor: editor
			},
			{ extend: 'copy', text: 'Copia negli appunti', editor: editor },			
			{ extend: 'csv', editor: editor },			
			{ extend: 'excel', editor: editor },			
			{
				extend: 'pdfHtml5',
				orientation: 'landscape',
				pageSize: 'LEGAL',
				exportOptions: {
				columns: ':visible'
				// columns: [ 0, 2, 3, 4, 5, 6, 8 ]
				}
			},
		]
	} );
	$(document).ready(function() {
		var table = $('#examp').DataTable();
		table.button(1).disable();
		table.button(2).disable();
		$('#examp tbody').on('click', 'a.scheda', function (e) {
			e.preventDefault();
			var data = table.row( $(this).parents('tr') ).data();
			window.location.href = 'prova.php?id='+data.example.public_id;
		} );
		$('#examp tbody').on('click', 'a.passaggio', function (e) {
			e.preventDefault();
			var data = table.row( $(this).parents('tr') ).index();
			editorPending
				.one( 'close', function () {
					setTimeout( function () { // Wait for animation
						editorPending.show( editorPending.fields() );
					}, 500 );
				} )
				.edit( data, {
					title: 'Passaggio di proprietà',
					buttons: 'Salva'
				} )	
				.set( 'example.pending', '0' )
				.submit;
		} );
	} );
    table.on('select deselect', function (e,dt, type, indexes) {
		var selectedRowsCount = table.rows( { selected: true } ).count();
		if (selectedRowsCount > 0) {
			if (type = 'row') {
				var exdata = table.rows('.selected', { select: true }).data()[0];
				if (exdata.example.pending === '1') {
					table.button(1).disable();
					table.button(2).disable();
				} else if (exdata.example.pending === '0') {
					table.button(1).enable();
					table.button(2).enable();
				}
			}
		} else {
			table.button(1).disable();
			table.button(2).disable();
		}
    })	
} );
</script>
<title>EXAMPLE</title>
</head>
    
<body id="body">
    

    <div class="banner nav">
        <a href="index.php"><img class="logoSmall" src="img/logoS.png"></a>
    </div>
<input type='hidden' id='xrm' value='2'>
    
   <!-- <div class="banner bannerSmall"></div>-->	

    <div class="main" id="main1">
	<br />
	<table id="examp" class="cell-border display responsive hover" width="98.5%">
	<thead>
		<tr>
			<th>Pending</th>
			<th>Numero di serie</th>
			<th>Scheda</th>
			<th>Produttore</th>
			<th>Nome</th>
			<th>Luogo di produzione</th>
			<th>Anno di produzione</th>
			<th>Categoria</th>
			<th>Data di acquisto</th>
			<th>RegID</th>
		</tr>
	</thead>
	</table>
	<br /><br /></div>

</body>
</html>